package cn.net.caoyao.cpzshandset.service.presenter.base.impl;

import android.content.Context;
import android.os.Handler;
import cn.net.caoyao.cpzshandset.service.presenter.OptionHisListStyleConstact;

public abstract class OptionHisListStyleConstactImpl implements OptionHisListStyleConstact.Presenter{
	private final OptionHisListStyleConstact.View hisView;
	private Context context;
	public OptionHisListStyleConstactImpl(OptionHisListStyleConstact.View hisView,Context context) {
		this.hisView = hisView;
		this.context = context;
	}
	@Override
	public Handler getHandler() {
		return null;
	}
	@Override
	public void scannerSuccess(String scannerContentStr) {
		if(hisView == null) return;
		hisView.vibrate(100);
	}
	
}
